From 0c81eca661f7156abd1395f616dfa4ed47fb322f Mon Sep 17 00:00:00 2001
From: Francois Andrieu <darknao@fedoraproject.org>
Date: Feb 03 2022 21:07:08 +0000
Subject: [PATCH 70/88] fix component version if set to null


---

diff --git a/build-scripts/rebuild-site.py b/build-scripts/rebuild-site.py
index 3c34c87..30f51f9 100755
--- a/build-scripts/rebuild-site.py
+++ b/build-scripts/rebuild-site.py
@@ -167,6 +167,9 @@ def prepare_translated_sources(translated_sources, site_yml, languages, config):
 
                 component = antora_yml["name"]
                 version = antora_yml["version"]
+                # if component version is null (~), fallback to "master"
+                if not version:
+                    version = "master"
 
                 # Saving components and all their versions
                 if component not in components:

